Bug 607726 - [abrt] crash in calibre-0.6.55-1.fc13: FcCompare: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
[abrt] crash in calibre-0.6.55-1.fc13: FcCompare: Process /usr/bin/python was...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: calibre (Show other bugs)
13
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
abrt_hash:88a70e01bb086f5b8deb029c6f1...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-06-24 12:20 EDT by Mark
Modified: 2011-01-22 15:33 EST (History)
5 users (show)

See Also:
Fixed In Version: calibre-0.7.38-3.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-01-22 15:29:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (56.72 KB, text/plain)
2010-06-24 12:20 EDT, Mark
no flags Details

  None (edit)
Description Mark 2010-06-24 12:20:43 EDT
abrt 1.1.1 detected a crash.

architecture: x86_64
Attached file: backtrace
cmdline: python /usr/bin/calibre-parallel
comment: Clicked "View" to open an ebook.  Crash notification from ABRT.  calibre did not crash and continued to function normally.
component: calibre
crash_function: FcCompare
executable: /usr/bin/python
global_uuid: 88a70e01bb086f5b8deb029c6f18c58e28e4cd42
kernel: 2.6.33.5-124.fc13.x86_64
package: calibre-0.6.55-1.fc13
rating: 4
reason: Process /usr/bin/python was killed by signal 11 (SIGSEGV)
release: Fedora release 13 (Goddard)
Comment 1 Mark 2010-06-24 12:20:46 EDT
Created attachment 426640 [details]
File: backtrace
Comment 2 Michal Nowak 2010-06-28 06:01:34 EDT
Can you reproduce it reliably on that e-book? Is it happening only on this particular e-book?
Comment 3 Mark 2010-07-19 08:49:02 EDT
Michal, This crash happens on any e-book I open, sometimes calibre doesn't crash, most times, it does (or at least produces a crash report), however, most (99%) of the time, the e-book reader application does successfully launch and seems to work properly.  E-book extentions: .mobi, .pdf, and .prc (Palm format).  Let me know if there are any other questions.  Also, I have not used calibre in a few weeks as I have not downloaded any more books to read.
Comment 4 Kevin Fenzi 2011-01-09 14:37:47 EST
Mark: Can you duplicate this with the latest calibre from my calibre repo? 

cd /etc/yum.repos.d/
wget http://repos.fedorapeople.org/kevin/calibre/calibre.repo
yum clean all
yum update
Comment 5 Mark 2011-01-09 22:46:45 EST
I've been trying to yum update calibre...  My wireless connection here at the house seems to have up and drank molasses...  It's become that slow.  Anyhow...  The actual location of the calibre.repo is http://repos.fedorapeople.org/repos/kevin/calibre/calibre.repo for anyone else following this thread.  I'll post back here as soon as I have calibre updated and tested.
Comment 6 Mark 2011-01-09 23:15:04 EST
Kevin: perfect dude!  No abrt crash.  Works perfect.  Do I keep the repo enabled, or should I disable the calibre repo and let the Fedora repos handle the calibre updates from here on out?
Comment 7 Kevin Fenzi 2011-01-09 23:21:38 EST
You can leave it enabled if you like... shouldn't be any harm. 

Thanks for the feedback!
Comment 8 Mark 2011-01-09 23:40:11 EST
Sounds good.  Thank you.  The abrt crashes were annoying, however, calibre continued to work correctly, so I kept using it.
Comment 9 Fedora Update System 2011-01-12 19:08:22 EST
calibre-0.7.38-3.fc14,python-cssutils-0.9.7-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/calibre-0.7.38-3.fc14,python-cssutils-0.9.7-1.fc14
Comment 10 Fedora Update System 2011-01-12 19:20:03 EST
calibre-0.7.38-3.fc13,python-cssutils-0.9.7-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/calibre-0.7.38-3.fc13,python-cssutils-0.9.7-1.fc13
Comment 11 Fedora Update System 2011-01-13 18:26:18 EST
calibre-0.7.38-3.fc13, python-cssutils-0.9.7-1.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update calibre python-cssutils'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/calibre-0.7.38-3.fc13,python-cssutils-0.9.7-1.fc13
Comment 12 Fedora Update System 2011-01-22 15:28:02 EST
calibre-0.7.38-3.fc13, python-cssutils-0.9.7-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2011-01-22 15:31:54 EST
calibre-0.7.38-3.fc14, python-cssutils-0.9.7-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.